### Method

# Hex Document changed

#### Declaration

    void
    hex_document_changed (
      HexDocument* doc,
      gpointer change_data,
      gboolean push_undo
    )

#### Description

Convenience method to emit the `HexDocument::document-changed` signal. This method is mostly only useful for widgets utilizing `HexDocument`.

#### Parameters

`change_data`

  Type: `gpointer`

  Pointer to a `HexChangeData` structure.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`push_undo`

  Type: `gboolean`

  Whether the undo stack should be pushed to.